Version: 1.0.102576552 (930000657)
arm
Package: com.google.android.apps.walletnfcrel
78,010 downloads
7.53 MB (7,896,348 bytes)
Min: Android 4.4 (Kitkat, API 19)
Target: Android 6.0 (Marshmallow, API 23)
nodpi
9dc0d497dfbfb2097460bcd6c14eed1f
Uploaded September 10, 2015 at 9:14PM UTC by Andrew
Download APK
There's a newer version available below!

Whoa there!

It looks like you're using an ad blocker, so you'll have to wait 15 more seconds.
Please disable your ad blocker to skip the wait and help support the site.

APK Notes:

Android pay (old Google wallet update).

See plus.google.com/+ArtemRussakovskii/posts/j9urS3tjvJ9 for some details about the Play services version needed for Android Pay to run.

If you get "Google is unable to verify that your device or the software running on it is Android compatible," see this plus.google.com/+ArtemRussakovskii/posts/DEz1qUnscZF.

This release does not have a Play Store Description, so we grabbed one from version 1.6.133355066:

• Use Android Pay by adding a card from any participating bank.*
• Keep your information safe. With Android Pay, your actual card number is never shared. Instead, a virtual account number is used so that your card details are always kept safe.
• Android Pay is available on all NFC-enabled, non-rooted Android devices (KitKat 4.4+).
• Still have questions? Learn more at support.google.com/androidpay

* Android Pay works with cards from most banks: goo.gl/LNnLi8
* Android Pay works in these stores & apps: goo.gl/JU1AD1

This release may come in several variants. Consult our handy FAQ to see which download is right for you.

Variant
Arch
Version
DPI
1.0.102576552
September 10, 2015
arm
Android 4.4+
nodpi
Previous APKs for (arm) (nodpi) variant
All versions
September 16, 2015
Comments
  • Yeah boi

  • Total Faith

    It is force stopping in my Galaxy S6!!

    • Tony Damiani

      You need the latest Google Play Services update – 8.1.13 (2234497-440). Sadly the update its not available on the Play Store and no one has uploaded it here.

      • Clifak

        I have it working with my S6. It actually worked before the app even dropped as long as you have current Google Play Services. The 400 series is only for Marshmallow, but you can use the 248 version.

        • Tony Damiani

          Thanks. Forgot that Lollipop builds are -2XX. Mine was -440 so it should be updated to -240 right?

          • Clifak

            At some point, but I have seen any 240 builds. xx8 offers 480 so I decided to try it and it works just fine.

          • Steve

            Note 5 here. Was also -440 on Play Services v7. But like everyone else, can’t find any -240. Using 248 of 8.0.05 and now 8.1.13 and both have worked fine. No crashing, all Google apps work. Android Pay is working (haven’t bought anything yet but the app works).

        • Total Faith

          Then you will live in the USA, right?

      • Total Faith

        Are you sure that 248 is not working as well??

        • Tony Damiani

          I installed -248 and its working. Sadly I get a Network Error on Android Pay. Dammit Google!

  • Tim R.

    It’s happening!

  • Tony BW

    Can’t use it until my Play Service build drops…

    • Total Faith

      Are your Play Services you need version -240? They just dropped.

      • Tony BW

        No, I got mine already, I’m 230

  • Jacob S.

    Still getting “Google is unable to verify that your device or the software running on it is Android compatible”.

    • Getting the same error on my rooted Nexus 6

    • Remove root, activate, reroot.

      • Jacob S.

        Tried that too. I’m thinking of going back to an AOSP rom again.

      • Jacob S.

        Went to CM 12.1 with root access disabled, latest gapps/play services and got the same error. Might need to just wait for an updated GPS framework for my device (even though I’m on 8.1.13). Thanks for the suggestions though.

      • Ryan Cavitt

        Doesn’t work for me :/

        Total bullshit that Google is doing this. Total Apple move.

    • SpasilliumNexus

      What I did to get it to work on Nexus 5 before this dropped was disable SuperSU in the app, set my DPI back to default, hide root using RootCloak, and relock my bootloader using BootUnlocker from the Play Store (this might not be needed)

      After that it worked, even with Xposed installed.

    • Drake Lodbrok

      I manage to install it but when i try adding debit/credit cards it goes like this

      • Frank

        Same here!
        I Installed new Google Play Services and first I got this message “Google Play services has stopped” every 3 seconds in the whole system…so I cleared the play services data and rebooted. Now this message only appear when I try to add a credit card in Android Pay
        btw: what version do I need for Nexus 6?

  • Matt Hay

    I am on the 8.1.05 services, hoping that is why it is not working and not the fact I am rooted

    • 8.1.02 didn’t work either. 8.1.13 does though.

      • Matt Hay

        Great, thanks. Will patiently await -436 build then

      • Jacob S.

        On 8.1.13 currently and getting the “unable to verify your device is Android compatible” error.

        • I was getting that with root before. It’s working for me now, but I already went through the activation process. Try unrooting temporarily.

        • 2n3906

          Same here.

  • Ben Durham

    so…who’s got the Google Play services update APK? This APK won’t work without it.

  • Andrew Hansen

    Still no 438 Play Services build for N6 on android M :( Cant run.

    • Yeah, waiting for someone to upload that (-438 or -430 would do).

    • madLyfe

      uhhh isnt 438 for the N5?

  • Matt Hay

    Root should not prevent, does it? I still waiting for the 8.1.13 services build. On 8.1.05and getting incompatible, and hoping it is not because of root.

  • Nogib

    Great, my Bank of America card, which IS supported by Android Pay, is stuck in verification la-la land. Got email with code to verify and kept getting a “something went wrong” when hitting submit after entering it and now it is just “contacting your bank” and I can’t do a bloody thing with it. Niiiiiiiice rollout.

  • patt

    which google play services for note4? I have to live with this phone for at least few more days :(

    • Tomfoolery

      What are you replacing it with? (Just out of curiosity).

      • patt

        Moto X Pure Edition :) cannot wait… will be using it on Verizon.

        • Tomfoolery

          Verizon! I weep for you. The phone should be sick though.

          • patt

            And I am also out of contract -25$ on bill for my line and have 30GB to share with other lines for 130$. Once they all go out of contract I have no reason to leave but I will have a choice :D anytime I want.

  • Bryan Rumsey

    I’m getting an “Android Pay is unavailable” error. Is anybody else getting this?

    • stewartsoda

      Yeah. SM-N900T.

  • Bryan Rumsey

    This would be very upsetting as Wallet already works just fine. Hopefully this was a misinformed tech agent and any issues we are seeing today will be resolved on the official launch day.

    • compuguy1088

      At least for the nexus 6, you need to be on a Stock android build, unrooted. It doesn’t matter if the bootloader is locked or unlocked.

  • SyCoREAPER

    Unchecking in SuperSU doesn’t unroot. I clearly still have root despite unchecking in SuperSU and clicking “Full Unroot” did not untroot me either.

    Also changed the DPI prior and no effect.

    • SyCoREAPER

      How the hell can I be partially rooted? Xposed still works, SuperSU says no Binary, and Android Pay works all of the sudden

  • SyCoREAPER

    Instead of all this unrooting and re-rooting, couldn’t I just add the cards with an old phone that isn’t rooted and use them through the rooted phone?

  • Frank

    I already did!
    perhaps I installed the wrong GPS for the Nexus 6? Im on Android 5.1.1 and have the GPS 8.1.13 (2234497-248)

    • Simone Piersigilli

      Same error, man but I’m using a Nexus 5

  • Ian Galler

    Just waiting for the -470 version to come out so I can use it on my Zenfone 2 :(

  • Got the new Play Services, got Android Pay installed, but I get “Sorry, a network error has occurred” whenever I try to add a card. Any solutions?

  • Adrian Wilczynski

    I’m getting “Unfortunately, Google play services has stopped” when I try to add a card. I’m running a galaxy S5 SM-G900F NOT-rooted, android 5.0 and services build No. 238. Does it matter that i’m not in the US?

  • What phone/ROM are you using? I’m researching this issue and trying to track it down…

    • Joe Sanchez

      Nexus 6 stock 5.1.1 no roms… Works great on my Nexus 9

  • jase33

    I had same issue and fixed it by going into settings>apps>google play services. I clicked on disable, removed all device administrators then uninstalled updates to google play services. I opened the android pay app and it said that google play services must be updated first so I clicked ok and it opened the play store. I updated google play services thruogh the play store and rebooted. after that i opened android pay, it allowed me to add my cards without issue and I tested it at Walgreens last night and it worked. I hope this works for you..

  • LethalLunatic

    So if you set this up with your UK Bank will it also work outside of the UK where contactless payment is supported?